<div class="row" ng-controller="ent.StructCtrl">
    <div class="col-xs-12 col-md-3">
        <section class="panel">
            <header class="panel-heading border">
                <h3 class="h6">部门信息</h3>
            </header>
            <div class="panel-body">
                <div ui-tree data-clone-enabled="false" data-nodrop-enabled="false" data-drag-enabled="false">
                    <ol ui-tree-nodes ng-model="treeData">
                        <li ng-repeat="node in treeData" ui-tree-node ng-include="'nodes_renderer.html'"></li>
                    </ol>
                </div>
                <!-- <div class="mt30 text-right">
                    <button class="btn btn-info" type="button" ng-click="api.struct.applySave()">添加</button>
                </div> -->
            </div>
        </section>
    </div>
    <div class="col-xs-12 col-md-9 col-sm-12">
        <tabset class="box-tab">
            <tab>
                <tab-heading><i class="fa fa-user"></i>员工列表</tab-heading>
                <section class="table-scrollable-wrapper">
                    <table class="table table-bordered">
                        <thead>
                            <tr class="th-checkbox">
                                <!-- <th class="text-center">
                                    <div class="form-group fg-box mb0">
                                        <pretty-checkbox ng-change="api.emp.batchSelected()" label="''" ng-model="data.selectStatus"></pretty-checkbox>
                                    </div>
                                </th> -->
                                <th>姓名</th>
                                <th>部门</th>
                                <th>电话</th>
                                <th>邮箱</th>
                                <th>证件号</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="tb-checkbox" ng-repeat="employee in data.employeeList track by $index">
                                <!-- <td class="text-center">
                                    <pretty-checkbox ng-change="api.emp.empSelect()" label="''" ng-model="data.selectStatus"></pretty-checkbox>
                                </td> -->
                                <td>{{ employee.userName }}</td>
                                <td>{{ employee.deptName }}</td>
                                <td>{{ employee.tel }}</td>
                                <td>{{ employee.email }}</td>
                                <td>{{ employee.cardNumber }}</td>
                            </tr>
                        </tbody>
                    </table>
                </section>
                <section class="table-scrollable-footer mt15 mb15 text-right">
                    <!-- <div class="pull-left">
                        <button class="btn btn-default" type="button" ng-click="api.emp.remove()">删除</button>
                        <button class="btn btn-default" type="button" ng-click="api.emp.applySave()">添加员工</button>
                        <button class="btn btn-default" type="button" >编辑</button>
                    </div> -->
                    <!-- <pagination class="mt0 mb0" items-per-page="param.limit" total-items="param.total" ng-model="param.start" ng-change="api.emp.reload()"></pagination> -->
                    <nav class="page-wrap text-center" ng-if=" vm.total > 0 ">
                        <pagination class="mt0 mb0" 
                            items-per-page="param.limit" 
                            total-items="param.total"
                            ng-model="param.start"
                            num-pages="numberPages"
                            ng-change="api.emp.reload()"
                        ></pagination>
                        <span class="total">共{{ numberPages }}页</span>
                    </nav>
                </section>
            </tab>
        </tabset>
    </div>
</div>
<script type="text/ng-template" id="nodes_renderer.html">
    <div ui-tree-handle class="tree-node tree-node-content">
        <button class="clean-btn" type="button" ng-click="toggle(this)">
            <i class="fa fa-caret-right" ng-class="{'fa-caret-right': !collapsed,'fa-caret-down': collapsed}"></i>
        </button>
        <a href="javascript:;" ng-click="api.struct.openNode(node,$event)">{{node.name}}</a>

        <!--<div class="pull-right" ng-if="node.id!=-1 && node.id!=0">
            <a  ng-click="api.struct.applyUpdate(node)" data-nodrag><i class="fa fa-cog"></i></a>
            <a  ng-click="api.struct.applyRemove(node)" data-nodrag><i class="fa fa-remove" ></i></a>
        </div>-->
        
        <div class="clearfix"></div>
    </div>
    <ol ui-tree-nodes="" ng-model="node.nodes" ng-class="{hidden: !collapsed}">
        <li ng-repeat="node in node.nodes" ui-tree-node ng-include="'nodes_renderer.html'">
        </li>
    </ol>
</script>
